package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag995;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT995Creator;

public class Tag11rCreator extends AbsTagCreate {
    private MT995Creator mt995Creator;

    public Tag11rCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt995Creator= (MT995Creator) absMTCreator;
    }

    public void creator()
    {
        String tag11aValue = mt995Creator.getMtAndDateoftheOriginalMessage();
        mt995Creator.set("11R", tag11aValue);
    }
}
